Description

The MATLAB signal processing code is already developed, consisting in a Zero Crossing Counter (warn that the attack is occurring)

and in a HF/LF Ratio calculator (calculate duration of the phases of the attack). They both can work in real time, receiving data from

1 to 1 second and from 20 to 20 seconds (time needed to confirm that the attack is epileptic!), respectively. This code might need

some improving in terms of speed and efficacy.

Now, we need to develop the control algorithm, in MATLAB or in Arduino IDE, connected to an Arduino board, that will send the

information of the seizure to the Java interface. Besides the control algorithm, we may also need to build an analog circuit to amplify

the signal that will enter the Arduino.

Subtasks:

Task # 15919: Analog Interface Circuit Resolved

History

#1 - 24/04/2021 14:18 - Ana Marta Dias

Connection type: if there's no Bluetooth connection module available in the lab, we will connect the Arduino board to the computer by an USB cable.

#2 - 19/06/2021 13:46 - Ana Marta Dias

Within the development in the actual lab, it was concluded that the best option to take was to:

- Connect MATLAB immediately to the Arduino board by the support package available on MATLAB, and not on Arduino IDE. We used the USB cable

and not the bluetooth module.

- Connect MATLAB to Java by text files sent almost in real time (from 10 to 10 seconds).

#3 - 19/06/2021 13:52 - Ana Marta Dias

- Status changed from New to Resolved

- Assignee set to Ana Marta Dias
